=== debian/changelog ===
dinit (0.16.1-1experimental1) UNRELEASED; urgency=medium

  * Initial port from Debian, thanks Mobin!
  * Introduced dinit-init & dinit-init-diversity packages to better control installation options.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +0100

dinit (0.16.1-1) unstable; urgency=medium

  * Update to 0.16.1

 -- Mobin Aydinfar <mobin@mobintestserver.ir>  Mon, 6 Mar 2023 19:08:23 +0330

dinit (0.16.0-1) unstable; urgency=medium

  * Initial release. Closes: #1029577
  * Fix many things reported by lintian.

 -- Mobin Aydinfar <mobin@mobintestserver.ir>  Mon, 26 Dec 2022 15:01:41 +0330
