=== debian/control ===
Source: dinit
Maintainer: ProwlerGr <Prowler73@gmail.com>
Section: init-diversity
Priority: optional
Standards-Version: 4.6.1.0
Build-Depends: 	debhelper (>= 9), 
				debhelper-compat (= 12), 
				g++ (>= 4.9), 
				m4,
				dh-exec,
Homepage: https://davmac.org/projects/dinit
Vcs-Browser: https://salsa.debian.org/mobin2008/dinit
Vcs-Git: https://salsa.debian.org/mobin2008/dinit.git
Rules-Requires-Root: no

Package: dinit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: dinit,
Recommends: dinit-init-diversity | dinit-init, 
Description: Dinit service monitoring / "init" system
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits. Development goals include
 clean design, robustness, portability, usability,
 and avoiding feature bloat (whilst still handling
 common - and some less-common - use cases).
 Dinit is designed to integrate with rather than subsume or replace
 other system software.

Package: dinit-init
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dinit,
Conflicts: dinit-init-diversity,
Description: This package installs dinit as the sole or default init system.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 
 
Package: dinit-init-diversity
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, init-diversity-tools, dinit,
Conflicts: dinit-init,
Recommends: grub-init-diversity,
			sysvinit-init-diversity,
			runit-init-diversity,
			openrc-init-diversity,
			s6-rc-init,
			s6-66-init,
Suggests: systemd-init-diversity,		
Description: This package allows for dinit to be installed alongside other inits.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits.
