## dinit 0.19.1

=== debian/changelog ===
dinit (0.19.1-1) unstable; urgency=medium

  * update to 0.19.1

 -- anticapitalista <antix@operamail.com>  Mon, 17 Mar 2025 16:42:26 +0200
