=== debian/changelog ===
dinit (0.19.3-0experimental3) UNRELEASED; urgency=medium

  * Updated dependency control for dinit-init & dinit-init-diversity (meta)packages.
  * These will provide the user a fully bootable system with proper shutdown/poweroff options.
  
 -- ProwlerGr <Prowler73@gmail.com>  Sat, 26 Apr 2025 22:22:22 +1000

dinit (0.19.3-0experimental2) UNRELEASED; urgency=medium

  * Fixed manpage conflicts.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

dinit (0.19.3-0experimental1) UNRELEASED; urgency=medium

  * Updated to upstream 0.19.3 release.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 04 Apr 2025 22:22:22 +1000

dinit (0.19.1-2) unstable; urgency=medium

  * new build following ProwlerGR set up

 -- anticapitalista <antix@operamail.com>  Thu, 03 Apr 2025 21:03:50 +0300
