=== debian/control ===
Source: dinit
Maintainer: Mobin Aydinfar <mobin@mobintestserver.ir>
Section: admin
Priority: optional
Standards-Version: 4.6.1.0
Build-Depends: 
 debhelper (>= 9), 
 debhelper-compat (= 13), 
 g++ (>= 4.9), m4, 
 dh-exec,
Homepage: https://davmac.org/projects/dinit
Vcs-Browser: https://salsa.debian.org/mobin2008/dinit
Vcs-Git: https://salsa.debian.org/mobin2008/dinit.git
Rules-Requires-Root: no

Package: dinit
Architecture: any
Depends:
 ${misc:Depends}, 
 ${shlibs:Depends},
Provides: dinit,
Recommends: 
 dinit-init-diversity | dinit-init, 
 dinit-service-boot-module | dinit-core-services-antix,
Description: Dinit service monitoring / "init" system
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits. Development goals include
 clean design, robustness, portability, usability,
 and avoiding feature bloat (whilst still handling
 common - and some less-common - use cases).
 Dinit is designed to integrate with rather than subsume or replace
 other system software.

Package: dinit-init
Architecture: any
Depends:
 ${misc:Depends}, 
 ${shlibs:Depends}, 
 dinit,
 dinit-service-boot-module | dinit-core-services-antix,
Recommends:
 dinit-service-dbus,
 dinit-service-seatd,
 dinit-service-slimski,
 dinit-service-connmand,
Breaks:
 sysvinit-core,
 runit-init,
Replaces:
 dinit-init-diversity,
 sysvinit-core,
 s6-rc-init,
 s6-66-init,
 runit-init,
 openrc-init,
Conflicts:
 dinit-init-diversity,
 s6-rc-init,
 s6-66-init,
 runit-init,
 openrc-init,
Description: This package installs dinit as the sole or default init system.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 
Package: dinit-init-diversity
Architecture: any
Depends: 
 ${misc:Depends}, 
 ${shlibs:Depends},  
 dinit,
 init-diversity-tools,
 grub-init-diversity,
Recommends: 
 sysvinit-init-diversity,
 s6-rc-init-diversity,
 s6-66-init-diversity,
 openrc-init-diversity,
 runit-init-diversity,
 dinit-service-dbus,
 dinit-service-seatd,
 dinit-service-slimski,
 dinit-service-connmand,
Suggests:
 systemd-init-diversity,
Provides:
 dinit-init,
Replaces:
 dinit-init,
Breaks:
 dinit-init,
Conflicts:
 dinit-init,	
Description: This package allows for dinit to be installed alongside other inits.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits.
