=== meson_options.txt ===
## meson_options.txt for dinit
## You can set dinit's options in here:

## Please see BUILD_MESON for more information.

## General options
option(
    'shutdown-prefix',
    type : 'string',
    value : '',
    description : 'Name prefix for "shutdown", "halt", "soft-reboot" and "reboot" commands (if they are built).'
)
option(
    'dinit-control-socket-path',
    type : 'string',
    value : '/run/dinitctl',
    description : 'Default full path to the control socket, for when Dinit runs as system service manager.'
)
option(
    'unit-tests',
    type : 'boolean',
    value : false,
    description : 'Building Unit tests. by default its disabled.'
)
option(
    'igr-tests',
    type : 'boolean',
    value : false,
    description : 'Building Integration tests. by default its disabled.'
)
option(
    'fuzzer',
    type : 'boolean',
    value : false,
    description : 'Building fuzz target'
)
option(
    'use-utmpx',
    type : 'feature',
    value : 'auto',
    description : 'Whether to build support for manipulating the utmp/utmpx database via the related POSIX functions.'
)
option(
    'use-initgroups',
    type : 'boolean',
    value : true,
    description : 'Whether to use initgroups to initialize supplementary groups for run-as services.'
)
option(
    'dinit-sbindir',
    type : 'string',
    value : '/sbin',
    description : 'Default full path to the dinit executables. For some reasons dinit dont follow default sbindir. see BUILD_MESON for more info.'
)
option(
    'man-pages',
    type : 'boolean',
    value : true,
    description : 'Building & installing man-pages.'
)
option(
    'default-auto-restart',
    type : 'combo',
    choices : ['ALWAYS', 'ON_FAILURE', 'NEVER'],
    value : 'ALWAYS',
    description : 'Always/"on-failure"/never auto-restart for services by default. See BUILD_MESON for more info.'
)
option(
    'default-start-timeout',
    type : 'integer',
    value : 60,
    description : 'Default start-timeout for services in seconds'
)
option(
    'default-stop-timeout',
    type : 'integer',
    value : 10,
    description : 'Default stop-timeout for services in seconds'
)

## Linux specific options
option(
    'support-cgroups',
    type : 'feature',
    value : 'auto',
    description : 'Enable Cgroups supprot.'
)
option(
    'build-shutdown',
    type : 'feature',
    value : 'auto',
    description : 'Building shutdown/reboot/soft-reboot/halt or not.'
)
