=== debian/changelog ===
dinit (0.19.4-0antix6) unstable; urgency=medium

  * fix maintainer script errors on live frugal - thanks ProwlerGR

 -- anticapitalista <antix@operamail.com>  Wed, 22 Oct 2025 14:34:24 +0300

dinit (0.19.4-0antix5) unstable; urgency=medium

  * /usr/lib/dinit/dinit  /usr/sbin/dinit - link

 -- anticapitalista <antix@operamail.com>  Wed, 15 Oct 2025 14:19:19 +0300

dinit (0.19.4-0antix4) unstable; urgency=medium

  * don't update grub in chroot

 -- anticapitalista <antix@operamail.com>  Wed, 08 Oct 2025 15:01:39 +0300

dinit (0.19.4-0antix3) unstable; urgency=medium

  * package init-diversity as antix

 -- anticapitalista <antix@operamail.com>  Mon, 06 Oct 2025 18:47:06 +0300

dinit (0.19.4-0antix2) unstable; urgency=medium

  * Updated maintaner scripts to skip update-grub on Live/Frugal systems

 -- anticapitalista <antix@operamail.com>  Fri, 03 Oct 2025 18:55:35 +0300

dinit (0.19.4-0antix1) unstable; urgency=medium

  * sync with ProwlerGr
  * allow for option to install alongside other inits or not

 -- anticapitalista <antix@operamail.com>  Sun, 24 Aug 2025 12:57:51 +0300

dinit (0.19.4-0) unstable; urgency=medium

  * Updated to upstream 0.19.4 release.

 -- anticapitalista <antix@operamail.com>  Tue, 13 May 2025 23:24:26 +0300

dinit (0.19.3-0) unstable; urgency=medium

  * Updated to upstream 0.19.3 release.
  * Fix manpages conflict

 -- anticapitalista <antix@operamail.com>  Fri, 04 Apr 2025 16:21:52 +0300
