=== debian/control ===
Source: dinit
Maintainer: Mobin Aydinfar <mobin@mobintestserver.ir>
Section: init-diversity
Priority: optional
Standards-Version: 4.6.1.0
Build-Depends: 
 debhelper (>= 9),
 debhelper-compat (= 13),
 g++ (>= 4.9),
 m4,
Homepage: https://davmac.org/projects/dinit
Vcs-Browser: https://gitlab.com/init-diversity/dinit/dinit-init-diversity
Vcs-Git: https://gitlab.com/init-diversity/dinit/dinit-init-diversity.git
Rules-Requires-Root: no

Package: dinit
Architecture: any
Depends: 
 ${misc:Depends}, 
 ${shlibs:Depends},
Provides: dinit,
Recommends: 
 dinit-init-antix | dinit-init, 
Description: Dinit service monitoring / "init" system
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits. Development goals include
 clean design, robustness, portability, usability,
 and avoiding feature bloat (whilst still handling
 common - and some less-common - use cases).
 Dinit is designed to integrate with rather than subsume or replace
 other system software.

Package: dinit-init
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 dinit,
 dinit-service-boot-module-antix,
Replaces:
 sysvinit-core,
 s6-rc-init,
 s6-66-init,
 openrc-init,
 runit-init,
Description: This package installs dinit as the sole or default init system.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits. 
 
Package: dinit-init-antix
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 dinit,
 dinit-service-boot-module-antix,
 init-diversity-tools,
 grub-init-diversity,
Recommends:
 sysvinit-init-antix,
 runit-init-antix,
 openrc-init-antix,
 s6-rc-init-antix,
 s6-66-init-antix,
 dinit-dialogbox-manager,
Description: This package allows for dinit to be installed alongside other inits.
 Dinit is a service supervisor with dependency support
 which can also act as the system "init" program.
 It was created with the intention of providing a portable
 init system with dependency management, that was functionally
 superior to many extant inits.
