=== src/tests/cptests/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 
 objects = cptests.o
 parent_test_objects = ../test-bpsys.o ../test-dinit.o ../test-run-child-proc.o
-parent_objs = control.o dinit-log.o service.o load-service.o proc-service.o baseproc-service.o dinit-env.o settings.o
+parent_objs = control.o dinit-log.o service.o load-service.o proc-service.o baseproc-service.o dinit-env.o \
+	settings.o dinit-iostream.o
 
 check: build-tests run-tests
 
@@ -15,7 +16,7 @@
 	./cptests
 
 cptests: cptests.o $(parent_objs:%=../%) $(parent_test_objects)
-	$(CXX) -o cptests cptests.o $(parent_test_objects) $(parent_objs:%=../%) $(ALL_TEST_LDFLAGS)
+	$(CXX) -o cptests cptests.o $(parent_test_objects) $(parent_objs:%=../%) $(ALL_TEST_LDFLAGS) $(LDFLAGS_LIBCAP)
 
 $(objects): %.o: %.cc
 	$(CXX) $(ALL_TEST_CXXFLAGS) -MMD -MP -I../test-includes -I../../../dasynq/include -I../../../build/includes -I../../includes -c $< -o $@
