=== debian/changelog ===
dinit (0.20.0-0experimental1) UNRELEASED; urgency=medium

  * update to 0.20.0

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 15 Nov 2025 22:22:22 +1000

dinit (0.19.4-0experimental3) UNRELEASED; urgency=medium

  * Updated maintaner scripts to skip update-grub on Live/Frugal systems

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 03 Oct 2025 22:22:22 +1000

dinit (0.19.4-0experimental2) UNRELEASED; urgency=medium

  * Resolved dependencies after official antiX boot module created..
  
 -- ProwlerGr <Prowler73@gmail.com>  Sat, 24 May 2025 22:22:22 +1000

dinit (0.19.4-0experimental1) UNRELEASED; urgency=medium

  * Updated to upstream 0.19.4 release.
  
 -- ProwlerGr <Prowler73@gmail.com>  Sat, 10 May 2025 22:22:22 +1000
