=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: dinit
-Maintainer: Mobin Aydinfar <mobin@mobintestserver.ir>
+Maintainer: ProwlerGr <Prowler73@gmail.com>
 Section: init-diversity
 Priority: optional
 Standards-Version: 4.6.1.0
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
 Provides: dinit,
 Recommends: 
- dinit-init-antix | dinit-init, 
+ dinit-init-diversity | dinit-init-antix | dinit-init, 
 Description: Dinit service monitoring / "init" system
  Dinit is a service supervisor with dependency support
  which can also act as the system "init" program.
@@ -39,7 +39,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  dinit,
- dinit-service-boot-module-antix,
+ dinit-service-boot-module | dinit-service-boot-module-antix,
 Replaces:
  sysvinit-core,
  s6-rc-init,
@@ -53,21 +53,21 @@
  init system with dependency management, that was functionally
  superior to many extant inits. 
  
-Package: dinit-init-antix
+Package: dinit-init-diversity
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  dinit,
- dinit-service-boot-module-antix,
+ dinit-service-boot-module | dinit-service-boot-module-antix,
  init-diversity-tools,
  grub-init-diversity,
 Recommends:
- sysvinit-init-antix,
- runit-init-antix,
- openrc-init-antix,
- s6-rc-init-antix,
- s6-66-init-antix,
+ sysvinit-init-diversity,
+ runit-init-diversity,
+ openrc-init-diversity,
+ s6-rc-init-diversity,
+ s6-66-init-diversity,
  dinit-dialogbox-manager,
 Description: This package allows for dinit to be installed alongside other inits.
  Dinit is a service supervisor with dependency support
