=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
CONFIG_OPT += --bindir=/usr/bin
CONFIG_OPT += --sbindir=/usr/sbin
CONFIG_OPT += --mandir=/usr/share/man
CONFIG_OPT += --syscontrolsocket=/run/dinitctl

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm README.md; fi;
	if test -e config.mak; then rm config.mak; fi;
	dh_clean
	
override_dh_auto_clean:
	touch ./mconfig

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)
